package com.qmth.themis.business.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.cache.bean.ExamPaperCacheBean;
import com.qmth.themis.business.cache.bean.ObjectiveAnswerCacheBean;
import com.qmth.themis.business.entity.TEExamPaper;

/**
 * @Description: 考试试卷 服务类
 * @Param:
 * @returnß:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TEExamPaperService extends IService<TEExamPaper> {

	TEExamPaper findByExamIdAndCourseCodeAndPaperCode(Long examId, String courseCode, String paperCode);
	
	List<TEExamPaper> findByExamIdAndCourseCode(Long examId, String courseCode);

	ExamPaperCacheBean getExamPaperCacheBean(Long paperId);

	Map<String, ObjectiveAnswerCacheBean> getObjectiveAnswerCacheBean(Long paperId);

}
